/* =============================================================================================== */
/* Copyright (c) 2010 Andrey Nikolaevich Trukhanovich (aka TheXpert)                                  */
/*                                                                                                 */
/* Permission is hereby granted, free of charge, to any person obtaining a copy of this software           */
/* and associated documentation files (the "Software"),   */
/* to deal in the Software without restriction, including without limitation the rights           */
/* to use, copy, modify, merge, publish, distribute,                 */
/* sublicense, and/or sell copies of the Software, and to permit persons              */
/* to whom the Software is furnished to do so, subject to the following conditions:       */
/*                                                                                                 */
/*                                                                                                 */
/* The above copyright notice and this permission notice shall be included in all copies or substantial         */
/* portions of the Software.                                                         */
/*                                                                                                 */
/* THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS       */
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,   */
/* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR     */
/* COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER       */
/* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR    */
/* IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER      */
/* DEALINGS IN THE SOFTWARE.                                                          */
/* =============================================================================================== */

#define DefaultCheckerSymbolCode    164
#define DefaultCheckerColor         PaleGreen
#define DefaultAcceptorSymbolCode   177
#define DefaultAcceptorColor        Red
#define DefaultApplyDistance        20
#define DefaultCaptionColor         Gold
#define DefaultValueColor           White
#define DefaultPriceArrowCode       SYMBOL_RIGHTPRICE
#define DefaultPriceArrowSize       3
#define DefaultPriceArrowColor      White
#define DefaultStopLossColor        Coral
#define DefaultTakeProfitColor      PaleGreen
#define DefaultStopLossStyle        3
#define DefaultTakeProfitStyle      3
#define DefaultBuyStopColor         DeepSkyBlue
#define DefaultBuyLimitColor        DodgerBlue
#define DefaultSellStopColor        DeepPink
#define DefaultSellLimitColor       Salmon
#define DefaultBuyStopStyle         4
#define DefaultBuyLimitStyle        4
#define DefaultSellStopStyle        4
#define DefaultSellLimitStyle       4
#define DefaultObjectsInChartWindow 0

string CheckerSymbolCodeName  = "CheckerFigureID";
string CheckerColorName       = "CheckerColor";
string AcceptorSymbolCodeName = "AcceptorFigureID";
string AcceptorColorName      = "AcceptorColor";
string ApplyDistanceName      = "ApplyDistance";
string CaptionColorName       = "CaptionColor";
string ValueColorName         = "ValueColor";
string PriceArrowCodeName     = "PriceArrowCode";
string PriceArrowSizeName     = "PriceArrowsize";
string PriceArrowColorName    = "PriceArrowColor";
string StopLossColorName      = "StopLossColor";
string TakeProfitColorName    = "TakeProfitColor";
string StopLossStyleName      = "StopLossStyle";
string TakeProfitStyleName    = "TakeProfitStyle";
string BuyStopColorName       = "BuyStopColor";
string BuyLimitColorName      = "BuyLimitColor";
string SellStopColorName      = "SellStopColor";
string SellLimitColorName     = "SellLimitColor";
string BuyStopStyleName       = "BuyStopStyle";
string BuyLimitStyleName      = "BuyLimitStyle";
string SellStopStyleName      = "SellStopStyle";
string SellLimitStyleName     = "SellLimitStyle";
string ObjectsInChartWindowName="ObjectsInChartWindow";